Bug 848256 - Review Request: python-taskw - Python bindings for your taskwarrior database
Review Request: python-taskw - Python bindings for your taskwarrior database
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 22:50 EDT by Ralph Bean
Modified: 2014-10-13 17:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-20 14:48:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2012-08-14 22:50:47 EDT
Spec URL: http://threebean.org/rpm/python-taskw.spec
SRPM URL: http://threebean.org/rpm/python-taskw-0.4.3-1.fc17.src.rpm
Description:  This is an unofficial python API for the `taskwarrior <http://taskwarrior.org>`_ command line tool.
Fedora Account System Username: ralph

rpmlint
-------
(pypi2spec)--- ~/rpmbuild ยป rpmlint {SPECS,SRPMS}/python-taskw* 
python-taskw.src: W: spelling-error Summary(en_US) taskwarrior -> task warrior, task-warrior, warrior
python-taskw.src: W: spelling-error %description -l en_US taskwarrior -> task warrior, task-warrior, warrior
python-taskw.src: W: spelling-error %description -l en_US http -> HTTP
1 packages and 1 specfiles checked; 0 errors, 3 warnings.



koji f17 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4391484
koji f18 - http://koji.fedoraproject.org/koji/taskinfo?taskID=4391486
Comment 1 Michael Scherer 2012-08-17 20:30:24 EDT
Hi,

why does it requires task ? ( since this is not used by the code )

I am not sure that the tests should be shipped with the module.

Other than that, the package seems quite good, so I will approve once we clear the 2 noted issues :

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Permissions on files are set properly.
[x]: Package does not contain duplicates in %files.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL5 is required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr macros not found. They would be needed for EPEL5
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[-]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (taskw-0.4.3.tar.gz)
[x]: SourceX is a working URL.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Issues:
=======

Rpmlint
-------
Checking: python3-taskw-0.4.3-1.fc17.noarch.rpm
          python-taskw-0.4.3-1.fc17.src.rpm
          python-taskw-0.4.3-1.fc17.noarch.rpm
python3-taskw.noarch: W: spelling-error Summary(en_US) taskwarrior -> task warrior, task-warrior, warrior
python3-taskw.noarch: W: spelling-error %description -l en_US taskwarrior -> task warrior, task-warrior, warrior
python3-taskw.noarch: W: spelling-error %description -l en_US http -> HTTP
python-taskw.src: W: spelling-error Summary(en_US) taskwarrior -> task warrior, task-warrior, warrior
python-taskw.src: W: spelling-error %description -l en_US taskwarrior -> task warrior, task-warrior, warrior
python-taskw.src: W: spelling-error %description -l en_US http -> HTTP
python-taskw.noarch: W: spelling-error Summary(en_US) taskwarrior -> task warrior, task-warrior, warrior
python-taskw.noarch: W: spelling-error %description -l en_US taskwarrior -> task warrior, task-warrior, warrior
python-taskw.noarch: W: spelling-error %description -l en_US http -> HTTP
3 packages and 0 specfiles checked; 0 errors, 9 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
python3-taskw-0.4.3-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 3.2
    python3-six  
    task  

python-taskw-0.4.3-1.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    python(abi) = 2.7
    python-six  
    task  

Provides
--------
python3-taskw-0.4.3-1.fc17.noarch.rpm:
    
    python3-taskw = 0.4.3-1.fc17

python-taskw-0.4.3-1.fc17.noarch.rpm:
    
    python-taskw = 0.4.3-1.fc17

MD5-sum check
-------------
http://pypi.python.org/packages/source/t/taskw/taskw-0.4.3.tar.gz :
  CHECKSUM(SHA256) this package     : f215de768a2148ebb03fc4bed0ee0da90fc30b38f14178fefea5ee6fbcb2bdc2
  CHECKSUM(SHA256) upstream package : f215de768a2148ebb03fc4bed0ee0da90fc30b38f14178fefea5ee6fbcb2bdc2


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 848256
External plugins:
Comment 2 Ralph Bean 2012-08-19 21:54:22 EDT
Good comments, both.  I removed the requirement on task and now am removing the tests after they are run in this second release.

Spec URL: http://threebean.org/rpm/python-taskw.spec
SRPM URL: http://threebean.org/rpm/python-taskw-0.4.3-2.fc17.src.rpm
Comment 3 Michael Scherer 2012-08-20 03:49:55 EDT
Ok, package approved
Comment 4 Ralph Bean 2012-08-20 09:01:22 EDT
Awesome.  Thanks again, Michael!
Comment 5 Ralph Bean 2012-08-20 09:02:16 EDT
New Package SCM Request
=======================
Package Name: python-taskw
Short Description: Python bindings for your taskwarrior database
Owners: ralph
Branches: el6 f18 f17
InitialCC:
Comment 6 Gwyn Ciesla 2012-08-20 09:40:16 EDT
Git done (by process-git-requests).
Comment 7 Ralph Bean 2012-08-20 14:48:24 EDT
Updates on their way.

https://admin.fedoraproject.org/updates/python-taskw
Comment 8 Ralph Bean 2014-09-17 11:23:52 EDT
Package Change Request
======================
Package Name: python-taskw
New Branches: epel7
Owners: ralph
Comment 9 Gwyn Ciesla 2014-09-17 12:53:29 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2014-09-17 14:15:34 EDT
python-taskw-0.8.6-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-taskw-0.8.6-1.el7
Comment 11 Fedora Update System 2014-10-13 17:40:05 EDT
python-taskw-0.8.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.